import { Facet, combineConfig } from '../../../../../@codemirror_state@6.5.2/node_modules/@codemirror/state/dist/index.js';
import { Language } from './api/proto/exa/codeium_common_pb/codeium_common_pb.js';
import { DefaultCycleWidget } from './defaultCycleWidget.js';

const codeiumConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            language: Language.TYPESCRIPT,
            timeout: 150,
            widgetClass: DefaultCycleWidget,
            alwaysOn: true,
        }, {});
    },
});
/**
 * Configuration for other documents included with the completion
 * request. Adding other documents helps you get more accurate
 * suggestions by adding context.
 */
const codeiumOtherDocumentsConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            override: () => [],
        }, {});
    },
});

export { codeiumConfig, codeiumOtherDocumentsConfig };
